Bug 1899412

Summary: Unit \xe2\x97\x8f.service does not exist, proceeding anyway.
Product: [Fedora] Fedora Reporter: Villy Kruse <ppywlkiqletw>
Component: gpartedAssignee: Mukundan Ragavan <nonamedotc>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 33CC: nonamedotc
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: gparted-1.2.0-1.fc33 gparted-1.2.0-1.fc32 gparted-1.2.0-1.el8 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-07 01:33:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Villy Kruse 2020-11-19 07:02:18 UTC
Description of problem:

The gparted shell script uses systemctl to mask .mount units.  The output of "systemctl list-units" has changed a while ago, and the script no longer understands the new output format.

The .mount units are not masked, and devices could possibly be mounted while running gparted.

Version-Release number of selected component (if applicable):

The issue has been seen also in earlier Fedora releases.  When it occurred first time I don't know.

How reproducible:

Always.

Steps to Reproduce:
1.  As root run gparted
2.
3.

Actual results:

[root@mybox ~]# gparted
Unit \xe2\x97\x8f.service does not exist, proceeding anyway.
GParted 1.1.0
configuration --enable-libparted-dmraid --enable-online-resize
libparted 3.3
[root@mybox ~]# gparted
Unit \xe2\x97\x8f.service does not exist, proceeding anyway.
GParted 1.1.0
configuration --enable-libparted-dmraid --enable-online-resize
libparted 3.3

The .mount units are not masked.

Expected results:

The .mount units are masked while running gparted, and unmasked when terminating gparted.

Additional info:

[root@mybox ~]# systemctl list-units --full --all -t mount --no-legend
  -.mount                       loaded    active   mounted Root Mount                                           
  boot.mount                    loaded    inactive dead    /boot                                                
  dev-hugepages.mount           loaded    active   mounted Huge Pages File System                               
  dev-mqueue.mount              loaded    active   mounted POSIX Message Queue File System                      
  home.mount                    loaded    active   mounted /home                                                
  proc-sys-fs-binfmt_misc.mount loaded    active   mounted Arbitrary Executable File Formats File System        
  run-user-1000-gvfs.mount      loaded    active   mounted /run/user/1000/gvfs                                  
  run-user-1000.mount           loaded    active   mounted /run/user/1000                                       
  sys-fs-fuse-connections.mount loaded    inactive dead    FUSE Control File System                             
  sys-kernel-config.mount       loaded    active   mounted Kernel Configuration File System                     
  sys-kernel-debug.mount        loaded    active   mounted Kernel Debug File System                             
  sys-kernel-tracing.mount      loaded    active   mounted Kernel Trace File System                             
‚óŹ sysroot.mount                 not-found inactive dead    sysroot.mount                                        
  tmp.mount                     loaded    active   mounted Temporary Directory (/tmp)                           
  var-lib-machines.mount        loaded    inactive dead    Virtual Machine and Container Storage (Compatibility)
[root@mybox ~]# 


Add the "--plain" keyword and you get a listing the gparted script understands.

[root@mybox ~]# systemctl list-units --plain --full --all -t mount --no-legend
-.mount                       loaded    active   mounted Root Mount                                           
boot.mount                    loaded    inactive dead    /boot                                                
dev-hugepages.mount           loaded    active   mounted Huge Pages File System                               
dev-mqueue.mount              loaded    active   mounted POSIX Message Queue File System                      
home.mount                    loaded    active   mounted /home                                                
proc-sys-fs-binfmt_misc.mount loaded    active   mounted Arbitrary Executable File Formats File System        
run-user-1000-gvfs.mount      loaded    active   mounted /run/user/1000/gvfs                                  
run-user-1000.mount           loaded    active   mounted /run/user/1000                                       
sys-fs-fuse-connections.mount loaded    inactive dead    FUSE Control File System                             
sys-kernel-config.mount       loaded    active   mounted Kernel Configuration File System                     
sys-kernel-debug.mount        loaded    active   mounted Kernel Debug File System                             
sys-kernel-tracing.mount      loaded    active   mounted Kernel Trace File System                             
sysroot.mount                 not-found inactive dead    sysroot.mount                                        
tmp.mount                     loaded    active   mounted Temporary Directory (/tmp)                           
var-lib-machines.mount        loaded    inactive dead    Virtual Machine and Container Storage (Compatibility)
[root@mybox ~]# 


I don't know when systemctl got the "--plain" keyword, but it does work in Fedora33.

Comment 1 Mukundan Ragavan 2020-12-28 13:49:37 UTC
Would you be able to file this upstream or do you want me to?

Comment 2 Villy Kruse 2020-12-29 05:56:48 UTC
(In reply to Mukundan Ragavan from comment #1)
> Would you be able to file this upstream or do you want me to?

I would appreciate if you file it upstream.

Comment 3 Mukundan Ragavan 2021-01-03 15:46:42 UTC
Filed upstream

Comment 4 Fedora Update System 2021-01-30 14:02:35 UTC
FEDORA-EPEL-2021-04a00fb568 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-04a00fb568

Comment 5 Fedora Update System 2021-01-30 14:02:36 UTC
FEDORA-2021-19376caf4d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-19376caf4d

Comment 6 Fedora Update System 2021-01-30 14:02:36 UTC
FEDORA-2021-6a6a6ca0ba has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6a6a6ca0ba

Comment 7 Fedora Update System 2021-01-31 01:21:13 UTC
FEDORA-EPEL-2021-04a00fb568 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-04a00fb568

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-01-31 01:24:27 UTC
FEDORA-2021-19376caf4d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-19376caf4d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-19376caf4d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-01-31 02:00:19 UTC
FEDORA-2021-6a6a6ca0ba has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-6a6a6ca0ba`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-6a6a6ca0ba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-02-07 01:33:08 UTC
FEDORA-2021-19376caf4d has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-02-08 01:24:13 UTC
FEDORA-2021-6a6a6ca0ba has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-02-15 01:41:11 UTC
FEDORA-EPEL-2021-04a00fb568 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.